# $Id: php-squale.spec 124 2007-05-21 18:08:22Z matthias $

%global php_zendabiver %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP Extension => //p') | tail -1)
%global php_extdir     %(php-config --extension-dir 2>/dev/null || echo "undefined")

Summary: Module for PHP applications that use SQuaLe
Name: php-squale
Version: 0.1.10
Release: 0.1%{?dist}
License: GPL
Group: Development/Languages
URL: http://squale.sourceforge.net/
Source: http://dl.sf.net/squale/squale-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: squale >= %{version}
Requires: php-zend-abi = %{php_zendabiver}
BuildRequires: php-devel, squale-devel >= %{version}
# We also need php for the eventual /etc/php.d directory
BuildRequires: php
# Required by phpize
BuildRequires: automake, autoconf, libtool

%description
A module for PHP applications that use SQuaLe.


%prep
%setup -q -n squale-%{version}


%build
pushd contrib/php
    test -x configure || phpize
    %configure
    %{__make} %{?_smp_mflags}
popd


%install
%{__rm} -rf %{buildroot}
pushd contrib/php
    %{__make} install INSTALL_ROOT=%{buildroot}
popd

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/squale.ini << 'EOF'
; Enable squale extension module
extension=squale.so
EOF


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc contrib/php/squale.php
%config %{_sysconfdir}/php.d/squale.ini
%{php_extdir}/squale.so


%changelog
* Fri Nov 10 2006 Matthias Saou <http://freshrpms.net/> 0.1.10-0.1
- Update to 0.1.10 pre-release.
- Rebuild for PHP 5.2.0.

* Tue Sep 19 2006 Matthias Saou <http://freshrpms.net/> 0.1.6-2
- Require php-api instead of php to also work with fastcgi (cli).

* Mon Apr 24 2006 Matthias Saou <http://freshrpms.net/> 0.1.6-1
- Update to 0.1.6.
- Now use the full original squale source, it's easier to update.

* Wed Nov 16 2005 Matthias Saou <http://freshrpms.net/> 0.1.4-2
- Rebuild against PHP 4.4.1.

* Fri Apr 15 2005 Matthias Saou <http://freshrpms.net/> 0.1.4-1
- Update to 0.1.4.

* Tue Apr 12 2005 Matthias Saou <http://freshrpms.net/> 0.1.3-2
- Add php-squale-0.1.3-lib64.patch to fix lib64 detection.

* Thu Jan 20 2005 Matthias Saou <http://freshrpms.net/> 0.1.3-1
- Update to 0.1.3.

* Thu Oct 14 2004 Matthias Saou <http://freshrpms.net/> 0.0.7-1
- Update to 0.0.7.

* Mon May 10 2004 Matthias Saou <http://freshrpms.net/> 0.0.3-1
- Update to 0.0.3.
- Disable %%{phpize} if configure is found (4.1.x build phpized with 4.3.x).

* Fri Mar 26 2004 Matthias Saou <http://freshrpms.net/> 0.0.1-1
- Initial RPM release.

